Bug 238818 - Fedora Core 7 (6.93) will not install in graphical mode in Virtual PC 2007
Fedora Core 7 (6.93) will not install in graphical mode in Virtual PC 2007
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2007-05-03 01:19 EDT by Sean Earp
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-17 09:18:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Earp 2007-05-03 01:19:41 EDT
Description of problem:  Fedora Core 7 (6.93) will not install in graphical 
mode in Virtual PC 2007 
Anaconda starts, detects the video card properly (as an S3), and then fires off 
the X Server.  Nothing happens after that (the whole screen goes black and 
there is no HD, CPU, or CD activity.   If I hit Ctrl+Alt+F1, It switches to 
text mode install, and I can install fine from there.

Version-Release number of selected component (if applicable):


How reproducible:
Install Virtual PC 2007 (I am using Vista X32 as a host), download ISO of 
Fedora Core 7 (6.93), boot to install and choose graphical install 

Steps to Reproduce:
1.Install Virtual PC 2007 (I am using Vista X32 as a host)
2.download ISO of Fedora Core 7 (6.93)
3.boot to install and choose graphical install 
Actual results:
After anaconda detects video card, all of Virtual PC goes black, and nothing 
else happens

Expected results:
Fedora should install in graphical mode

Additional info:
Comment 1 Adam Jackson 2007-05-03 18:28:43 EDT
Odd.  Can you attach the output of running 'lspci -n' from within the Virtual PC
Comment 2 Sean Earp 2007-05-03 22:27:59 EDT
Sure! Result is:

00:00.0 0600: 8086:7192 (rev 03)
00:07.0 0601: 8086:7110 (rev 01)
00:07.1 0101: 8086:7111 (rev 01)
00:07.3 0680: 8086:7113 (rev 02)
00:08.0 0300: 5333:8811
00:0a.0 0200: 1011:0009 (rev 20)
Comment 3 Adam Jackson 2007-05-08 12:13:55 EDT
Okay, two more requests:

- the output of "lspci -vn -s 0:8"
- /var/log/Xorg.0.log from after trying to start X

If the log file doesn't exist, just try to run X (X :0), and then V switch using
Ctrl+Alt+F1 to get back to a text console.
Comment 4 Sean Earp 2007-05-09 01:34:39 EDT
Output of "lspci -vn -s 0:8"

00:08.0 0300: 5333:8811 (prog-if 00 [VGA])
Flags: bus master, fast devsel, latency 0
Memory at f8000000 (32-bit, non-prefetchable) [size=64M]

As far as the Xorg.0.log... Virtual PC treats everything within as an image, so 
I can't copy from that log file, I have to transcribe everything by hand (which 
is SUPER hard seeing as the graphics are messed up, even in single user mode).  
Is there a particular line (or lines) that you need from the Xorg log file?
Comment 5 Matěj Cepl 2007-05-26 11:30:10 EDT
Reporter, sorry I don't understand Virtual PC at all -- is not it possible at
least to copy+paste it to some web form (in such case, I would even lift up my
hatred against pastes into this bug form ;-)), or scp it out of the Virtual PC
to some real computer?
Comment 6 Matěj Cepl 2007-07-12 16:43:24 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Matěj Cepl 2007-08-17 09:18:32 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.